import request from '@/utils/request';

// 查询能源设施/系统列表
export function listFacs(query) {
  return request({
    url: '/ems/basecfg/emsfacs/list',
    method: 'get',
    params: query
  });
}

// 查询能源设施/系统列表
export function listAllFacs(query) {
  return request({
    url: '/ems/basecfg/emsfacs/listall',
    method: 'get',
    params: query
  });
}

// 查询能源设施/系统详细
export function getFacs(id) {
  return request({
    url: '/ems/basecfg/emsfacs/' + id,
    method: 'get'
  });
}

// 新增能源设施/系统
export function addFacs(data) {
  return request({
    url: '/ems/basecfg/emsfacs',
    method: 'post',
    data: data
  });
}

// 修改能源设施/系统
export function updateFacs(data) {
  return request({
    url: '/ems/basecfg/emsfacs',
    method: 'put',
    data: data
  });
}

// 删除能源设施/系统
export function delFacs(id) {
  return request({
    url: '/ems/basecfg/emsfacs/' + id,
    method: 'delete'
  });
}
// 查询子表数据
export function getSubtable(type, params) {
  return request({
    url: `/ems/basecfg/emsfacs/${type}/list`,
    method: 'get',
    params
  });
}

// 新增子表数据
export function addSubtable(type, data) {
  return request({
    url: `/ems/basecfg/emsfacs/${type}`,
    method: 'post',
    data: data
  });
}

// 修改子表数据
export function updateSubtable(type, data) {
  return request({
    url: `/ems/basecfg/emsfacs/${type}`,
    method: 'put',
    data: data
  });
}

// 删除子表数据
export function delSubtable(type, id) {
  return request({
    url: `/ems/basecfg/emsfacs/${type}/` + id,
    method: 'delete'
  });
}

export function getFacsCategorygetByCode(code) {
  return request({
    url: `/ems/basecfg/facsCategory/getByCode?code=${code}`,
    method: 'get'
  });
}
